edu.sc.seis.sod.validator.model

## Class Definition

- java.lang.Object
- - edu.sc.seis.sod.validator.model.Definition

-     public class Definition
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHOICE`
    `static int` | `INTERLEAVE`
    `static int` | `UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Definition(java.lang.String name, Grammar containingGrammar)`
    `Definition(java.lang.String name, Grammar containingGrammar, int combine)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Definition` | `combineWith(Definition d)`
    `int` | `getCombine()`
    `Form` | `getForm()`
    `Grammar` | `getGrammar()`
    `java.lang.String` | `getName()`
    `void` | `set(FormProvider f)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNDEFINED

          public static final int UNDEFINED

      See Also:
        Constant Field Values

    - #### CHOICE

          public static final int CHOICE

      See Also:
        Constant Field Values

    - #### INTERLEAVE

          public static final int INTERLEAVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Definition

          public Definition(java.lang.String name,
                            Grammar containingGrammar)

    - #### Definition

          public Definition(java.lang.String name,
                            Grammar containingGrammar,
                            int combine)

  - ### Method Detail

    - #### combineWith

          public Definition combineWith(Definition d)

    - #### set

          public void set(FormProvider f)

    - #### getForm

          public Form getForm()

    - #### getName

          public java.lang.String getName()

    - #### getCombine

          public int getCombine()

    - #### getGrammar

          public Grammar getGrammar()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`